package com.oracle.ucm.utils.response;

import com.oracle.ucm.generic.Field;

import java.io.InputStream;

import java.util.List;

import oracle.stellent.ridc.model.DataBinder;

public class fileResponse extends ucmResponse 
{
    private InputStream m_fis;
    public fileResponse(DataBinder dataBinder) 
    {
        super(dataBinder);
    }

    public fileResponse(List<Field> list) 
    {
        super(list);
    }

    public fileResponse() 
    {
        super();
    }
    
    public void setInputStream(InputStream is) 
    {
        m_fis = is;
    }
    
    public InputStream getInputStream()
    {
        return m_fis;
    }
}
